<?php

/*
 *  LMS Userpanel version 1.0rc1-Kai
 * 
 *   pinchange module - allows customer to change her/his PIN code
 *   by pawel kudzia / .PaKud / http://pqd.one.pl
 *
 *  copyleft; gpl applies
 *
 */

function module_main()
{
    global $LMS,$SMARTY,$SESSION;

    $userinfo = $LMS->GetCustomer($SESSION->id);
    $usernodes = $LMS->GetCustomerNodes($SESSION->id);
    $balancelist = $LMS->GetCustomerBalanceList($SESSION->id);
    $fields_changed = $LMS->DB->GetRow('SELECT id FROM up_info_changes WHERE customerid = ?', 
    	array($SESSION->id));
    
    $SMARTY->display('module:qpinchange.html');
    error_reporting($err);
} 

function module_updateuserform() 
{
    global $LMS,$SMARTY,$SESSION;
    $userinfo = $LMS->GetCustomer($SESSION->id);
    $usernodes = $LMS->GetCustomerNodes($SESSION->id);
    
    $usernodes['ownerid'] = $_GET['id'];
    $SMARTY->assign('userinfo',$userinfo);
    $SMARTY->assign('usernodes',$usernodes);
    $SMARTY->display('module:updateuser.html');
}


function module_submit_changes_save(){
	global $LMS,$SMARTY,$SESSION;
	$userinfo = $LMS->GetCustomer($SESSION->id);
	
	$failed = "";
	$r = $LMS->DB->GetRow('SELECT * FROM customers WHERE id=?',array($SESSION->id));
	if (@$_REQUEST['current_pin']!=$r['pin']){
		$failed =trans("current pin youve entered is invalid");
	}else if ($_REQUEST['new_pin0']!=$_REQUEST['new_pin1']){
		$failed =trans("two new numbers youve entered do not match");
	}else if (strlen($_REQUEST['new_pin0'])<4 || strlen($_REQUEST['new_pin0'])>8 || $_REQUEST['new_pin0']!=sprintf("%d",$_REQUEST['new_pin0']) ){
		$failed =trans("pin should have between 4 and 8 digits");
	}else{
		$LMS->DB->Execute('UPDATE customers SET pin=? WHERE id=?',array($_REQUEST['new_pin0'],$SESSION->id));
	}
	
	if ($failed!=''){
		$SMARTY->assign('failed',$failed);
		$SMARTY->display('module:qpinchange-failed.html');
	}else{
		$SMARTY->display('module:qpinchange-done.html');
	}
}

?>
